package com.scipanama.photoUploader.dialogs;

import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.os.Bundle;
import android.support.v4.app.FragmentManager;

import com.github.rtyley.android.sherlock.roboguice.fragment.RoboSherlockDialogFragment;
import com.scipanama.photoUploader.R;

/**
 * Dialog that displays an arbitrary message. Use the Static constructor to build message dialogs in a single command
 * 
 * @author zubietaroberto
 * 
 *
 */
public class MessageDialog extends RoboSherlockDialogFragment implements OnClickListener {
	
	
	/**
	 * 
	 * Automatically creates a Dialog from the given parameters. This is the recommended way to use this class
	 * 
	 * @param pFM
	 * @param pMessage
	 * @author zubietaroberto
	 */
	public static void showMessageDialog(final FragmentManager pFM, final int pMessage){
		
		//New Message Dialog
		final Bundle extras = new Bundle();
		extras.putInt(MessageDialog.sMessageKey, pMessage);
		
		final MessageDialog md = new MessageDialog();
		md.setArguments(extras);
		md.show(pFM, "message_dialog");
		return;
		
	}
	
	public static final String sMessageKey = "MESSAGE";
	
	private int mMessage;
	
	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		final AlertDialog.Builder adb = new AlertDialog.Builder(this.getActivity());
		adb.setTitle(R.string.dialog_message_title);
		adb.setMessage(mMessage);
		adb.setPositiveButton(android.R.string.ok, this);
		return adb.create();
	}

	@Override
	public void setArguments(Bundle args) {
		super.setArguments(args);
		this.mMessage = args.getInt(sMessageKey);
	}

	@Override
	public void onClick(DialogInterface dialog, int which) {
		//Do nothing
	}

}
