package com.scipanama.photoUploader.dialogs;

import android.app.Activity;
import android.app.AlertDialog;
import android.app.Dialog;
import android.content.DialogInterface;
import android.content.DialogInterface.OnClickListener;
import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.LayoutInflater;
import android.view.View;
import android.widget.EditText;
import android.widget.Toast;

import com.github.rtyley.android.sherlock.roboguice.fragment.RoboSherlockDialogFragment;
import com.scipanama.photoUploader.R;
import com.scipanama.photoUploader.activities.GalleryActivity;

/**
 * Dialog that asks a user for the name of a new reference and then creates it.
 * 
 * @author zubietaroberto
 *
 */
public class NewReferenceDialog extends RoboSherlockDialogFragment implements OnClickListener {
	
	private EditText mReferenceName;
	private Activity mParentActivity;

	@Override
	public Dialog onCreateDialog(Bundle savedInstanceState) {
		mParentActivity = this.getActivity();
		final AlertDialog.Builder adb = new AlertDialog.Builder(mParentActivity);
		final LayoutInflater inflater = (LayoutInflater) mParentActivity.getSystemService(Activity.LAYOUT_INFLATER_SERVICE);
		final View layout = inflater.inflate(R.layout.dialog_new, null);
		
		this.mReferenceName = (EditText) layout.findViewById(R.id.dialog_new_name);
		
		adb.setView(layout);
		adb.setPositiveButton(android.R.string.ok, this);
		adb.setTitle(R.string.dialog_new_title);
		
		return adb.create();
	}

	@Override
	public void onClick(DialogInterface dialog, int which) {
		final String name = this.mReferenceName.getText().toString();
		
		//If there's no text...
		if(TextUtils.isEmpty(name)){
			Toast.makeText(this.mParentActivity, R.string.dialog_new_message_noName, Toast.LENGTH_LONG).show();
			return;
		}
		
		final Bundle response = new Bundle();
		response.putString(GalleryActivity.sKey_Reference, this.mReferenceName.getText().toString());
		
		final Intent intent = new Intent(this.mParentActivity, GalleryActivity.class);
		intent.putExtras(response);
		this.mParentActivity.startActivity(intent);
		this.dismiss();
		
	}

}
