package com.scipanama.photoUploader.services;

import roboguice.service.RoboService;
import android.content.Intent;
import android.os.IBinder;
import android.util.Log;

import com.google.inject.Inject;
import com.scipanama.photoUploader.auth.Authenticator;

/**
 * Asks the application to authenticate a new user
 * 
 * @author zubietaroberto
 *
 */
public class AuthService extends RoboService {

	private static final String TAG = "AuthService";
	private static final String LOG_PREAMBLE = "AuthService >===< ";
	
	@Inject private Authenticator auth;
	
	@Override
	public IBinder onBind(Intent intent) {
		if (Log.isLoggable(TAG, Log.VERBOSE)){
			Log.v(TAG, LOG_PREAMBLE.concat("Returning IBinder"));
		}
		return auth.getIBinder();
	}

	@Override
	public void onDestroy() {
		if (Log.isLoggable(TAG, Log.VERBOSE)){
			Log.v(TAG, LOG_PREAMBLE.concat("End"));
		}
	}
	
	
}
